--- title: "Update_contacts" slug: "update-contacts" updated: 2024-10-25T11:02:05Z published: 2024-10-25T11:02:05Z canonical: "docs.voiso.com/update-contacts" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.voiso.com/llms.txt > Use this file to discover all available pages before exploring further. # Update_contacts Put/api/v1/{api_key}/campaigns/{campaign_id}/contacts Update existing contacts/leads to an existing live campaign. Phone number is a mandatory parameter. Contact name, contact source, Contact URL for screen pop, Activity and priority for order call are optional parameters. Path parametersapi_keystringRequired The [API key of a specific user](https://developers.voiso.com/#/rest/getting-started/authentication#how-to-obtain-the-user_api_key). Example{user_api_key} campaign_idinteger (int32) Required Voiso campaign identifier Example1234 Body parametersExpand Allcontacts Array of object (campaign_contact) object phoneNumberstring Required Phone number to be added to campaign Example1234 contactNamestring Name of the contact displayed on the agent's softphone ExampleRichard Sanchez contactSourcestring Source of the contact/lead ExampleDimension C-137 contactURLstring CRM URL for screen pop of contact record ExampleMy CRM url priorityinteger (int32) Lead call order, from 0 to 1000 (includes). Low priority is called early. Lead with unset priority have lowlest priority Example2 isActiveboolean Current lead activity, default true DefaulttrueExampleFalse Responses201 All parameters are valid and the contacts update object duplicate_numbers Array of string Duplicate phone numbers string invalid_numbers Array of string Invalid phone number format string contacts Array of string Phone numbers successfully process to campaign string 400 Update lead operation failed example1 Error1 Campaign not found ```json { "error": "Campaign not found" } ``` example2 Error2 Campaign type should be live ```json { "error": "Campaign type should be live" } ``` example3 Error3 Maximum limit of 1000 contacts for each request ```json { "error": "Maximum limit of 1000 contacts for each request" } ``` example4 Error4 Required contact field missing ```json { "error": "Required contact field missing" } ``` Example{ "error": "Campaign not found" } 403 Invalid api_key object errorstring ExampleInvalid key